## exim4 4.98

=== debian/changelog ===
exim4 (4.98-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Dec 2024 08:00:11 +0100

exim4 (4.98-3) unstable; urgency=low

  * Manpage formatting fixes by Bjarni Ingi Gislason:
    exim4-config_files.5 Closes: #1082620
    exim_db.8            Closes: #1087135
    exim_dbmbuild.8      Closes: #1087139
    exiwhat.8            Closes: #1087225
  * Extract non-lintish changes from patches for pod2man-generated manpages.
    Closes: #1087172,#1087206,#1087222
  * Cherrypick patches from upstream GIT master:
    + 77-Fix-IP-SRR-parsing.-Bug-3124.patch: Fix theoretical crash in
      received connection, triggerable by a crafted packet with massive
      count of IP options. https://bugs.exim.org/show_bug.cgi?id=3124
    + Fix for DKIM smuggling attack.
      78-DKIM-fix-verify-of-malformed-header-lines.-Bug-3036.patch
      https://bugs.exim.org/show_bug.cgi?id=3036
  * Move tls_advertise_hosts setting outside (misnamed) .ifdef
    MAIN_TLS_ENABLE to ease disabling of incoming TLS. Also make
    README.Debian more explicit in this respect. Closes: #1089517
  * Remove Marc Haber from uploaders. - Thank you for your work!
  * Run wrap-and-sort -ast.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Dec 2024 16:47:07 +0100

exim4 (4.98-2) unstable; urgency=low

  * Also run update-exim4.conf on systemd daemon reload. Closes: #1077034
  * Use --allow-bad-names instead of --force-badname when invoking adduser.
  * Cherry-pick patches from upstream git master / bugzilla:
    + 73_Fix-SPA-authenticator.-Bug-3106.patch
      https://bugs.exim.org/show_bug.cgi?id=3106
    + 74_DKIM-fix-parsing-of-pubkey-RR.patch
      https://bugs.exim.org/show_bug.cgi?id=3120
    + 75_dkim_sign.patch https://bugs.exim.org/show_bug.cgi?id=3116
      Closes: #1082905

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Oct 2024 11:54:30 +0200

exim4 (4.98-1) unstable; urgency=medium

  * New stable release, almost identical to RC3.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 11 Jul 2024 07:41:31 +0200

exim4 (4.98~RC3-2) unstable; urgency=medium

  * Upload to unstable.
  * RC3 fixes CVE-2024-39929 Closes: #1075785

 -- Andreas Metzler <ametzler@debian.org>  Fri, 05 Jul 2024 18:06:31 +0200

exim4 (4.98~RC3-1) experimental; urgency=low

  * New upstream release candidate.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 03 Jul 2024 18:21:36 +0200

exim4 (4.98~RC2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Jun 2024 18:23:00 +0200

exim4 (4.98~RC1-1) experimental; urgency=low

  * New upstream release candidate.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Jun 2024 11:05:49 +0200

exim4 (4.98~RC0-1) experimental; urgency=low

  * Add minimal gbp.conf.
  * New upstream release candidate.
    + Drop cherry-picked patches, unfuzz 90_localscan_dlopen.dpatch.
    + Fixes hurd FTBFS. Closes: #1070396
    + Refresh debian/EDITME*
    + Add lintian-override for bash-term-in-posix-shell false positive in
      exinext sh/perl script.
  * Add NEWS entry to 4.97-1 regarding exiqgrep requiring at least one
    selection option and point to exim's -bpi option. Closes: #1027968
  * Ship newly available mailtest utility in exim4-base.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Jun 2024 13:40:06 +0200

exim4 (4.97-8) unstable; urgency=medium

  * Pull fixes from upstream GIT master:
    + 78_35-Fix-encoding-for-AUTH-on-MAIL-FROM.patch
    + 78_37-Logging-fix-receive-time-crash-with-recipients-loggi.patch
    + 78_39-SRS-fix-encode-for-local-part-with-zero-length-quote.patch (exim
      bug #3087)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Apr 2024 07:50:45 +0200

exim4 (4.97-7) unstable; urgency=medium

  * Pull fixes from upstream GIT master:
    + 78_30-Rewrites-fix-delivery-crash-from-constant-errors_to..patch (exim
      bug #3081)
    + 78_31-Lookups-fix-dbmnz-crash-on-zero-length-datum.-Bug-30.patch (exim
      bug #3079)
  * Update lintian overrides.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 01 Apr 2024 10:45:05 +0200

exim4 (4.97-6) unstable; urgency=high

  * Add b-d on libnsl-dev to fix (temporary) FTBFS. Closes: #1065107
  * Pull fixes from upstream GIT master:
    78_10-Use-non-releaseable-memory-for-regex-match-strings.-.patch
    78_11-use-dynamic-mem-for-regex_match_string.patch
    78_12-Use-non-releasable-memory-for-regex-line-buffer.patch
    78_15-regex-avoid-releasing-built-RE-midloop.patch
    78_21-Lookups-avoid-leaking-user-passwd-from-server-spec-t.patch
    78_23-Fix-crash-on-empty-oMt-argument.-Bug-3070.patch
  * 78_06, 78_07, 78_10, 78_11, 78_12 and 78_15 together Closes: #1053447

 -- Andreas Metzler <ametzler@debian.org>  Fri, 01 Mar 2024 18:09:49 +0100

exim4 (4.97-5) unstable; urgency=low

  * Multiple fixes from upstream GIT master:
    + 73_Check-for-missing-commandline-arg-after-options-taki.patch (upstream
      bug #3049)
    + 76_01-Support-old-format-message_id-spoolfiles-for-mailq-b.patch
      (upstream bug #3050)
    + 76_05-Fix-periodic-queue-runs.-Bug-3046.patch (upstream bug #3046)
    + 78_01-Fix-recipient-or-source-selection-in-combination-wit.patch
      (upstream bug #3064)
    + 78_02-Eximon-handle-new-format-message-IDs.patch (upstream bug #)
    + 78_03-Lookups-log-warning-for-deprecated-syntax.-Bug-3068.patch
      (upstream bug #3068)
    + 78_04-Exinext-handle-new-format-message-IDs.patch
    + 78_05-TLS-fix-startup-after-forced-fail.patch (upstream bug #)
    + 78_06-Appendfile-release-regex-match-store-every-thousand-.patch
      (upstream bug #3047)
    + 78_07-ACL-in-regex-condition-release-store-every-thousand-.patch
      (upstream bug #3047)
    + 78_08-Fix-smtp-transport-response-to-close-after-all-rcpt-.patch
      (upstream bug #3059)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Jan 2024 14:08:10 +0100
