=== debian/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
 Source: exim4
 Section: mail
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
+Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
- Marc Haber <mh+debian-packages@zugschlus.de>,
 Homepage: https://www.exim.org/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/exim-team/exim4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/exim4
@@ -26,11 +24,13 @@
  libidn-dev,
  libidn2-dev,
  libldap2-dev,
+ libnsl-dev,
  libpam0g-dev,
  libpcre2-dev,
  libperl-dev,
  libpq-dev,
  libsasl2-dev,
+ libspf2-dev,
  libsqlite3-dev,
  libx11-dev,
  libxaw7-dev,
@@ -40,7 +40,6 @@
  lynx,
  po-debconf,
  xsltproc,
- lsb-release
 
 Package: exim4-base
 Architecture: any
@@ -316,3 +315,8 @@
  messages.
 
 Package: exim4-dev
+Architecture: any
+Priority: optional
+Depends:
+ ${misc:Depends},
+Description: header files for the Exim MTA (v4) packages
