=== debian/changelog ===
exim4 (4.98.1-1ubuntu2) plucky; urgency=medium

  * SECURITY UPDATE: use-after-free security issue
    - debian/patches/CVE-2025-30232.patch: null out debug_pretrigger_buf
      pointer before freeing the buffer in src/debug.c.
    - CVE-2025-30232

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Mar 2025 07:18:19 -0400

exim4 (4.98.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution
        in SMTP banner.
      + d/control: Build-Depends on lsb-release to detect Distribution.
    - Disable external SPF support to avoid Build-Depends on libspf2-dev
      (only available in universe). SPF can still be implemented via
      spf-tools-perl, as documented in exim4.conf.template. This reverts
      Vcs-Git commit 494f1fe, first released in 4.95~RC0-1.
      (LP #1952738)
      + d/control: drop Build-Depends on libspf2-dev.
      + d/EDITME.exim4-heavy.diff: disable support for libspf2.
      + d/d/c/a/30_exim4-config_check_rcpt: restore SPF logic based
        on spfquery.mail-spf-perl from spf-tools-perl, but without
        the previously supported helo detection.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 23 Mar 2025 10:10:54 -0500

exim4 (4.98.1-1) unstable; urgency=medium

  * Refresh upstream keys from
    https://downloads.exim.org/Exim-Maintainers-Keyring.asc
  * New upstream version (Basically identical to 4.98 +
    81_Squashed-from-fix-cve-2025-26794-fixes-CVE-26794.patch)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Mar 2025 13:41:07 +0100

exim4 (4.98-4ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution
        in SMTP banner.
      + d/control: Build-Depends on lsb-release to detect Distribution.
    - Disable external SPF support to avoid Build-Depends on libspf2-dev
      (only available in universe). SPF can still be implemented via
      spf-tools-perl, as documented in exim4.conf.template. This reverts
      Vcs-Git commit 494f1fe, first released in 4.95~RC0-1.
      (LP #1952738)
      + d/control: drop Build-Depends on libspf2-dev.
      + d/EDITME.exim4-heavy.diff: disable support for libspf2.
      + d/d/c/a/30_exim4-config_check_rcpt: restore SPF logic based
        on spfquery.mail-spf-perl from spf-tools-perl, but without
        the previously supported helo detection.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Mar 2025 20:37:23 -0600

exim4 (4.98-4) unstable; urgency=high

  * Cherry-pick patches from upstream git master:
    + 79_Dovecot-fix-protocol-sequence-for-version-2.4.0.patch (Compliance
      with upcoming dovecot v1.3 auth protocol)
  * Use default 550 message in lowuid_aliases router ("Unrouteable address"
    instead of "no mail to system accounts") to avoid disclosing information on
    installed packages. Closes: #1092910
  * 81_Squashed-from-fix-cve-2025-26794-fixes-CVE-26794.patch: Upgrade to
    4.98.1, fixing CVE-2025-26794. This is a SQL injection for the
    (Sqlite-)hints database with ETRN. Debian binaries do not yet use sqlite
    for the hints DB so this just only affects users building their own
    binaries from sources and switching to sqlite-hints-DB.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Feb 2025 14:02:27 +0100

exim4 (4.98-3ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution
        in SMTP banner.
      + d/control: Build-Depends on lsb-release to detect Distribution.
    - Disable external SPF support to avoid Build-Depends on libspf2-dev
      (only available in universe). SPF can still be implemented via
      spf-tools-perl, as documented in exim4.conf.template. This reverts
      Vcs-Git commit 494f1fe, first released in 4.95~RC0-1.
      (LP #1952738)
      + d/control: drop Build-Depends on libspf2-dev.
      + d/EDITME.exim4-heavy.diff: disable support for libspf2.
      + d/d/c/a/30_exim4-config_check_rcpt: restore SPF logic based
        on spfquery.mail-spf-perl from spf-tools-perl, but without
        the previously supported helo detection.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 16:02:29 -0600

exim4 (4.98-2ubuntu2) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:45:41 -0500

exim4 (4.98-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085230). Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution
        in SMTP banner.
      + d/control: Build-Depends on lsb-release to detect Distribution.
    - Disable external SPF support to avoid Build-Depends on libspf2-dev
      (only available in universe). SPF can still be implemented via
      spf-tools-perl, as documented in exim4.conf.template. This reverts
      Vcs-Git commit 494f1fe, first released in 4.95~RC0-1.
      (LP #1952738)
      + d/control: drop Build-Depends on libspf2-dev.
      + d/EDITME.exim4-heavy.diff: disable support for libspf2.
      + d/d/c/a/30_exim4-config_check_rcpt: restore SPF logic based
        on spfquery.mail-spf-perl from spf-tools-perl, but without
        the previously supported helo detection.

 -- Bryce Harrington <bryce@canonical.com>  Wed, 27 Nov 2024 15:42:06 -0800

exim4 (4.98-1ubuntu3) plucky; urgency=medium

  * No-change rebuild for libperl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 14:32:42 +0200

exim4 (4.98-1ubuntu2) oracular; urgency=medium

  * No-change rebuild against debhelper 13.18ubuntu2 from -proposed
    (LP: #2077407)

 -- Bryce Harrington <bryce@canonical.com>  Sun, 15 Sep 2024 13:41:05 -0700


