=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Source: exim4
 Section: mail
 Priority: standard
-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
 Homepage: https://www.exim.org/
@@ -30,7 +31,6 @@
  libperl-dev,
  libpq-dev,
  libsasl2-dev,
- libspf2-dev,
  libsqlite3-dev,
  libx11-dev,
  libxaw7-dev,
@@ -40,6 +40,7 @@
  lynx,
  po-debconf,
  xsltproc,
+ lsb-release
 
 Package: exim4-base
 Architecture: any
@@ -318,5 +319,3 @@
 Architecture: any
 Priority: optional
 Depends:
- ${misc:Depends},
-Description: header files for the Exim MTA (v4) packages
