## exim4 4.98.2

=== debian/changelog ===
exim4 (4.98.2-1ubuntu2) questing; urgency=medium

  * d/p/Fix-build-error-with-gcc-15.patch: fix eximon ftbfs with gcc-15
    Closes: #1096601 (LP: #2124274)

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 17 Sep 2025 18:33:26 +0530

exim4 (4.98.2-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution
        in SMTP banner.
      + d/control: Build-Depends on lsb-release to detect Distribution.
    - Disable external SPF support to avoid Build-Depends on libspf2-dev
      (only available in universe). SPF can still be implemented via
      spf-tools-perl, as documented in exim4.conf.template. This reverts
      Vcs-Git commit 494f1fe, first released in 4.95~RC0-1.
      (LP #1952738)
      + d/control: drop Build-Depends on libspf2-dev.
      + d/EDITME.exim4-heavy.diff: disable support for libspf2.
      + d/d/c/a/30_exim4-config_check_rcpt: restore SPF logic based
        on spfquery.mail-spf-perl from spf-tools-perl, but without
        the previously supported helo detection.

 -- Bryce Harrington <bryce@canonical.com>  Thu, 12 Jun 2025 00:44:26 -0700

exim4 (4.98.2-1) unstable; urgency=medium

  * New upstream version (Basically identical to 4.98,1 + CVE-2025-30232 fix)
  * Unfuzz patches.
  * Add export-dir setting to gbp.conf.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Mar 2025 13:22:55 +0100

exim4 (4.98.1-2) unstable; urgency=high

  * Fix use-after-free  (requiring local command-line access) notified by
    Trend Micro (ref: ZDI-CAN-26250). this is 4.98.2 without the version
    number bump. CVE-2025-30232

 -- Andreas Metzler <ametzler@debian.org>  Fri, 21 Mar 2025 15:32:31 +0100
