=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
 Homepage: https://www.exim.org/
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/exim-team/exim4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/exim4
