=== debian/rules ===
--- 
+++ 
@@ -174,6 +174,11 @@
 		$(DEBIAN)/eximon4/usr/sbin
 	mv $(DEBIAN)/exim4-base/usr/sbin/eximon.bin \
 		$(DEBIAN)/eximon4/usr/libexec/exim4
+	install -m755 b-exim4-daemon-light/util/mailtest \
+		$(DEBIAN)/exim4-base/usr/bin/
+	pod2man --center=EXIM4 --section=1 \
+		$(DEBIAN)/exim4-base/usr/bin/mailtest \
+		$(DEBIAN)/exim4-base/usr/share/man/man1/mailtest.1
 	pod2man --center=EXIM4 --section=8 \
 		$(DEBIAN)/exim4-base/usr/sbin/exipick \
 		$(DEBIAN)/exim4-base/usr/share/man/man8/exipick.8
@@ -207,7 +212,3 @@
 		{ cd $(DEBIAN)/exim4-config/etc/exim4/conf.d/ && \
 		tar xf - ; }
 
-	install -m644 $(DEBIAN)/email-addresses $(DEBIAN)/exim4-config/etc/
-	install -m640 -oroot -groot $(DEBIAN)/passwd.client \
-		$(DEBIAN)/exim4-config/etc/exim4/
-	chmod 755 $(DEBIAN)/debconf/update-exim4.conf.template
