## exim4 4.99~RC1

=== debian/changelog ===
exim4 (4.99~RC1-1) experimental; urgency=low

  * Point watchfile to test release.
  * New upstream version.
    + Unfuzz patches, drop superfluous patches.
    * convert4r4 was dropped upstream, update docs and packaging.
    * Ancient upgrading docs wer also dropped upstream, adapt packaging.
    * Update build-time config (EDITME*).
    * Bump copyright year.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 03 Sep 2025 18:32:12 +0200

exim4 (4.98.2-2) unstable; urgency=medium

  * Set current_directory = /var/mail in mail_spool transport.
    Closes: #1106865
  * Fix eximon FTBFS with gcc-15. Closes: #1096601

 -- Andreas Metzler <ametzler@debian.org>  Thu, 14 Aug 2025 13:58:16 +0200
