## exim4 4.99~RC2

=== debian/changelog ===
exim4 (4.99~RC2-1) experimental; urgency=medium

  * Fold overlong lines when sending paniclog excerpts by mail. (Thanks,
    Célestin Matte) Closes: #1115604
  * New upstream version.
  * Do not DKIM-oversign empty Resent-* and List-* headers.
    This is minimal change to avoid bad settings, an optimal setting might
    look different. (Closes: #939808)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Sep 2025 14:01:35 +0200

exim4 (4.12-0.0.16) u
