=== debian/rules ===
--- 
+++ 
@@ -163,8 +163,6 @@
 		> $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp
 	mv $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp \
 		$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf
-	install -m755 b-exim4-daemon-light/build-$(buildname)/convert4r4 \
-		$(DEBIAN)/exim4-base/usr/sbin/exim_convert4r4
 	install -m755 \
 		b-exim4-daemon-light/build-$(buildname)/transport-filter.pl \
 		b-exim4-daemon-light/util/ratelimit.pl \
@@ -212,3 +210,5 @@
 		{ cd $(DEBIAN)/exim4-config/etc/exim4/conf.d/ && \
 		tar xf - ; }
 
+	install -m644 $(DEBIAN)/email-addresses $(DEBIAN)/exim4-config/etc/
+	install -m640 -oroot -groot $(DEBIAN)/passwd.client \
